Bug 1145240 - [RFE] Configuration :: Disable Fencing / Power-Management Warnings
Summary: [RFE] Configuration :: Disable Fencing / Power-Management Warnings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0
Assignee: Eli Mesika
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 15:36 UTC by Zordrak
Modified: 2017-02-07 00:23 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Power Management alerts are now disabled when fencing is disabled in a cluster.
Clone Of:
Environment:
Last Closed: 2017-02-01 14:59:14 UTC
oVirt Team: Infra
oourfali: ovirt-4.1?
pmatyas: testing_plan_complete-
ylavi: planning_ack?
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 57879 0 None MERGED core: mask fencing alerts when disabled in cluster 2021-02-09 13:07:09 UTC

Description Zordrak 2014-09-22 15:36:14 UTC
Description of problem:

Manual-Only fencing is not considered an OK state, but I absolutely 100% do not want my hosts to be fenced by the engine ever.

Due to:
* My cluster configuration requiring manual input at boot time
* Each host running local-only non-HA VMs with potentially corruptible databases
* My hosts being in a remote datacentre with limited KVMoIP time

I only ever want to cause the the reboot of a host:
* When it is absolutely necessary
* When an SSH console is no longer possible
* After all possible attempts to cleanly shutdown all VMs is complete
* By manually issuing a reboot request to data centre friendly-hands

With this in mind, for my it is known, accepted and desired that I have no power management configured for my hosts; therefore I do not want to always be warned by the engine that my hosts are in a warning state. Not only are the warnings not serving a purpose, but they could potentially mask a warning state that I do need to know about, but then do not see immediately.

Examples of warnings:
1. Alerts in Engine Console
2. Inability to save a host configuration without accepting an additional "Are you sure because you have not configured power management?" dialog box.
3. Exclamation point icon for all hosts in the host list tabs.

Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 10:59:55 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 Oved Ourfali 2016-01-20 08:07:38 UTC
Eli - if fencing it disabled on a cluster today:
Do we still show alerts?
Do we still show confirmation dialog?
Do we still show exclamation point icon?

Comment 3 Eli Mesika 2016-01-20 08:54:27 UTC
(In reply to Oved Ourfali from comment #2)
> Eli - if fencing it disabled on a cluster today:
> Do we still show alerts?
> Do we still show confirmation dialog?
> Do we still show exclamation point icon?

Yes for all 

We currently don't have a complete solution that disables PM all over the system

Comment 4 Oved Ourfali 2016-01-20 09:08:31 UTC
(In reply to Eli Mesika from comment #3)
> (In reply to Oved Ourfali from comment #2)
> > Eli - if fencing it disabled on a cluster today:
> > Do we still show alerts?
> > Do we still show confirmation dialog?
> > Do we still show exclamation point icon?
> 
> Yes for all 
> 
> We currently don't have a complete solution that disables PM all over the
> system

The question is not per the system, but only related to hosts in that cluster.
Perhaps we can query for the config before any of the above.
What do you think?

Comment 5 Eli Mesika 2016-01-20 10:00:43 UTC
Basically we can do all 3

Comment 6 Oved Ourfali 2016-01-20 10:03:33 UTC
Sounds good to me. I'll assign it to you.
Martin - sounds good to you too? Any additional thoughts?

Comment 7 Martin Perina 2016-01-20 10:24:19 UTC
(In reply to Oved Ourfali from comment #6)
> Sounds good to me. I'll assign it to you.
> Martin - sounds good to you too? Any additional thoughts?

Sounds good to me, binding those alerts/confirmations to "disable fencing in cluster" option is the only way how to solve this request.

Comment 8 Sandro Bonazzola 2016-12-12 14:03:04 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 9 Petr Matyáš 2017-01-26 10:11:53 UTC
Verified on 4.1.0-9

With fencing disabled for a cluster, there is no warning on hosts without PM.


Note You need to log in before you can comment on or make changes to this bug.